// vim: et:ts=4:sw=4:sts=4:ft=js
/*@
Ox.LoadingIcon <f:Ox.Element> Loading Icon Element
    () ->              <f> Loading Icon Element
    (options) ->       <f> Loading Icon Element
    (options, self) -> <f> Loading Icon Element
    options <o> Options object
        size     <s|medium> size of icon
    self <o>    Shared private variable
@*/

Ox.LoadingIcon = function(options, self) {
    var self = self || {},
        that = new Ox.Element('<img>', self)
            .defaults({
                size: 'medium'
            })
            .options(options || {})
            .attr({
                src: Ox.UI.getImagePath('symbolLoading.svg')
            })
            .addClass(
                'OxLoadingIcon Ox' + Ox.toTitleCase(self.options.size)
            );
    /*@
    start <f> Start loading animation
        ()  -> <f> Loading Icon Element
    @*/
    that.start = function() {
        that.animate({
            opacity: 1
        }, 250);
        return that;
    };

    /*@
    stop <f> Stop loading animation
        ()  -> <f> Loading Icon Element
    @*/
    that.stop = function() {
        that.animate({
            opacity: 0
        }, 250);
        return that;
    }
    return that;
}
